<template>
  <v-app dark>
    <v-navigation-drawer
      v-model="drawer"
      :mini-variant="miniVariant"
      :clipped="clipped"
      fixed
      app
      dark
      color="primary"
    >
      <template v-slot:prepend>
        <v-list-item>
          <v-list-item-content class="text-center">
            <v-img  src="/imgs/perfil.png" max-width="130" />
          </v-list-item-content>
        </v-list-item>
      </template>

      <v-list-item link>
          <v-list-item-content>
            <v-list-item-title class="text-h6">{{$auth.user.name}}</v-list-item-title>
            <v-list-item-subtitle>Web Developer</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>

      <v-list>
        <v-list-item v-for="(item, i) in items" :key="i" :to="item.to" router exact>
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>

          <v-list-item-content>
            <v-list-item-title v-text="item.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-app-bar :clipped-left="clipped" fixed app dark color="primary">
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />

      <v-spacer />
      <v-toolbar-title v-text="$store.state.config.title" />
      <v-spacer />

      <v-menu offset-y>
        <template v-slot:activator="{ on, attrs }">
          <v-btn icon v-bind="attrs" v-on="on">
            <v-icon>mdi-dots-vertical</v-icon>
          </v-btn>
        </template>
        <v-list>
          <v-list-item v-if="$route.name === 'profile'" @click="setShowDialogUpload">
            <v-list-item-title>Upload</v-list-item-title>
          </v-list-item>

          <v-list-item @click="logout">
            <v-list-item-title>Logout</v-list-item-title>
          </v-list-item>
        </v-list>
      </v-menu>
    </v-app-bar>
    <v-main>
      <v-container fluid class="class-container">
        <Nuxt />
      </v-container>

      <dialog-upload v-if="dialogUpload" :show="dialogUpload" v-on:setShow="setShowDialogUpload"/>
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: 'DefaultLayout',
  middleware: ['auth'],
  data () {
    return {
      clipped: false,
      drawer: false,
      fixed: false,
      items: [
        {
          icon: 'mdi-view-dashboard-outline',
          title: 'Dashboard',
          to: '/dashboard'
        },
        {
          icon: 'mdi-account',
          title: 'My Profile',
          to: '/profile'
        },
        {
          icon: 'mdi-account-multiple',
          title: 'Friends',
          to: '/friends'
        },
        {
          icon: 'mdi-image-multiple',
          title: 'Gallery',
          to: '/gallery'
        }
      ],
      miniVariant: false,
      right: true,

      dialogUpload: false
    }
  },
  methods: {
    async logout () {
      await this.$axios.get('logout').then(() => {
        this.$router.push('/login')
      })
    },
    setShowDialogUpload () {
      this.dialogUpload = !this.dialogUpload
    }
  }
}
</script>

<style>
@media (max-width: 600px) {
  .alter-container .class-container {
    padding: 0;
  }
}
</style>
